import { Component } from '@angular/core';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss'],
})
export class AppComponent {
  title = 'Tools';

  constructor(public translate: TranslateService) {
    this.initTranslation();
  }

  private initTranslation(): void {
    this.translate.addLangs(['en', 'de']);
    const userLang = localStorage.getItem('language');
    this.translate.setDefaultLang(userLang || 'de');
  }
}
