import { Component, Input } from '@angular/core';
import { DetailsService } from 'src/services/details/details.service';
import { Attribute } from 'src/interfaces/attribute';
import { TranslateService } from '@ngx-translate/core';

@Component({
  selector: 'app-attribute-details',
  templateUrl: './attribute-details.component.html',
  styleUrl: './attribute-details.component.scss',
})
export class AttributeDetailsComponent {
  @Input() public attribute!: Attribute;
  @Input() public modifier!: string;

  public constructor(
    public detailsService: DetailsService,
    public translate: TranslateService,
  ) {}

  public skillsTable: any = {
    strength: ['athletics'],
    dexterity: ['acrobatics', 'sleightOfHand', 'stealth'],
    constitution: [],
    intelligence: ['arcana', 'history', 'investigation', 'nature', 'religion'],
    wisdom: ['animalHandling', 'insight', 'medicine', 'perception', 'survival'],
    charisma: ['deception', 'intimidation', 'performance', 'persuasion'],
  };
}
